Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.28
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.bcpg
Class UserIDPacket

    java.lang.Object
      org.bouncycastle.bcpg.Packet
          org.bouncycastle.bcpg.ContainedPacket
              org.bouncycastle.bcpg.UserIDPacket

All Implemented Interfaces:
  PacketTags

public class UserIDPacket
extends ContainedPacket

Basic type for a user ID packet.

Field Summary

Fields inherited from interface org.bouncycastle.bcpg.PacketTags
`COMPRESSED_DATA, EXPERIMENTAL_1, EXPERIMENTAL_2, EXPERIMENTAL_3, EXPERIMENTAL_4, LITERAL_DATA, MARKER, MOD_DETECTION_CODE, ONE_PASS_SIGNATURE, PUBLIC_KEY, PUBLIC_KEY_ENC_SESSION, PUBLIC_SUBKEY, RESERVED, SECRET_KEY, SECRET_SUBKEY, SIGNATURE, SYM_ENC_INTEGRITY_PRO, SYMMETRIC_KEY_ENC, SYMMETRIC_KEY_ENC_SESSION, TRUST, USER_ATTRIBUTE, USER_ID`

Constructor Summary
`UserIDPacket(BCPGInputStream in)`
`UserIDPacket(java.lang.String id)`

Method Summary
`void` | `encode(BCPGOutputStream out)`
`java.lang.String` | `getID()`

Methods inherited from class org.bouncycastle.bcpg.ContainedPacket
`getEncoded`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserIDPacket

    public UserIDPacket(BCPGInputStream in)
                 throws java.io.IOException

### UserIDPacket

    public UserIDPacket(java.lang.String id)

Method Detail

### getID

    public java.lang.String getID()

### encode

    public void encode(BCPGOutputStream out)
                throws java.io.IOException

  Specified by:
    `encode` in class `ContainedPacket`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.28
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD